## sdl-image1.2 1.2.4

=== exports/Makefile ===

EXPORTS = SDL_image.x
HEADERS = \
	../../SDL_image.h

all: $(EXPORTS)

$(EXPORTS): $(HEADERS)
	perl gendef.pl $(HEADERS) >$@ || rm $@

clean:
	rm -f $(EXPORTS)

## sdl-image1.2 1.2.10

=== debian/changelog ===
sdl-image1.2 (1.2.10-3) unstable; urgency=low

  [ Felix Geyer ]
  * Drop ancient Conflicts.
  * Wrap (Build-)Depends in debian/control.
  * Switch to dh(1) debian/rules.
  * Enable parallel building.
  * Drop .la file.
  * Drop local dpkg-shlibdeps overrides.
  * Remove all patches since they were disabled anyway.
  * Switch to source format 3.0 (quilt).
  * Update to Standards-Version 3.9.2, no further changes necessary.
  * Switch to debhelper compat level v9.
    - Exports build flags.
    - Build for multiarch. (Closes: #651006)
  * Override lintian warning package-name-doesnt-match-sonames.
  * Fix building with libpng 1.5. (Closes: #636007)
    - Add libpng15.diff.
    - (Build-)Depend on libpng-dev instead of libpng12-dev.
  * Add myself as uploader.
  * Update Vcs control fields to the new git repository.
  * Improve copyright file.

  [ Dominique Dumont ]
  * control: allowed DM uploads. Set dev pkg to multi-arch: same
  * copyright: converted to DEP-5 debian/copyright
  * source: override package-needs-versioned-debhelper-build-depends
    warning

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 01 Dec 2011 13:11:22 +0100

sdl-image1.2 (1.2.10-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Empty dependency_libs (Closes: #619536).
  * Fix configure flags (Closes: #591190).

 -- Luk Claes <luk@debian.org>  Sun, 26 Jun 2011 17:58:00 +0200

sdl-image1.2 (1.2.10-2) unstable; urgency=low

  [ Aurelien Jarno ]
  * Add myself to uploaders.
  * Bump shlibs (Closes: #563452).
  * (Build-)Depends on libjpeg-dev instead of libjpeg62-dev
    (Closes: #569241).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 11 Feb 2010 15:12:43 +0100

sdl-image1.2 (1.2.10-1) unstable; urgency=low

  [ Barry deFreese ]
  * Have SDL Team take over maintenance.
    + With permission from Michael Koch.
    + Thanks to Michael for all of his previous work.
  * Add myself to uploaders.
  * Add VCS tags.
  * New upstream release.

 -- Barry deFreese <bdefreese@debian.org>  Mon, 16 Nov 2009 14:30:11 -0500

sdl-image1.2 (1.2.8-1) unstable; urgency=low

  * New upstream release.
    - adds pkg-config support (Closes: #515123)

 -- Michael Koch <konqueror@gmx.de>  Thu, 22 Oct 2009 23:09:13 +0200

sdl-image1.2 (1.2.7-2) unstable; urgency=low

  * debian/control:
    - Added ${misc:Depends} to all Depends.
    - Updated Standards-Version to 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Mon, 31 Aug 2009 08:17:06 +0200

sdl-image1.2 (1.2.7-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Build-Depends on debhelper (>= 5).
  * debian/control: Updated Standards-Version to 3.8.2.
  * debian/control: Add Homepage field.
  * debian/watch: Updated watch file for easier upstream updates.

 -- Michael Koch <konqueror@gmx.de>  Tue, 21 Jul 2009 21:08:48 +0200

sdl-image1.2 (1.2.6-3) unstable; urgency=low

  * CVE-2008-0544: Fix heap based buffer overflow.
  * Force library to link libjpeg and libtif and not dlopen them during
    runtime.

 -- Michael Koch <konqueror@gmx.de>  Tue, 05 Feb 2008 23:10:31 +0100

sdl-image1.2 (1.2.6-2) unstable; urgency=high

  * Fixed buffer overflow when reading GIFs. CVE pending.
  * Updated Standards-Version to 3.7.3.

 -- Michael Koch <konqueror@gmx.de>  Sun, 27 Jan 2008 23:44:23 +0100

sdl-image1.2 (1.2.6-1) unstable; urgency=low

  * New upstream release. Closes: #437005.
  * Replaced obsolete ${Source-Version}.
  * Handle errors better in clean target.

 -- Michael Koch <konqueror@gmx.de>  Sat, 11 Aug 2007 16:42:46 +0200

sdl-image1.2 (1.2.5-3) unstable; urgency=low

  * Updated config.guess and config.sub (Closes: #401526).

 -- Michael Koch <konqueror@gmx.de>  Tue, 16 Jan 2007 08:38:19 +0100

sdl-image1.2 (1.2.5-2) unstable; urgency=low

  * Added patch to make SDL_image 1.2 less segfault. Thanks to Margarita
    Manterola for the patch (Closes: #378173).

 -- Michael Koch <konqueror@gmx.de>  Sat, 22 Jul 2006 04:30:39 +0000

sdl-image1.2 (1.2.5-1) unstable; urgency=low

  * New upstream release
  * Updated Build-Depends and Depends to SDL 1.2.10
  * Updated minimum shlibs version to 1.2.5
  * Updated Standards-Version to 3.7.2
  * Simplified watch file
  * Fixed address of FSF in debian/copyright

 -- Michael Koch <konqueror@gmx.de>  Fri,  9 Jun 2006 07:21:47 +0000

sdl-image1.2 (1.2.4-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: Fixed header for license text (Closes: #290199)
  * Updated config.guess and config.sub (Closes: #267493)
  * debian/rules: Use dh_installman instead of dh_installmanpages

 -- Michael Koch <konqueror@gmx.de>  Wed, 23 Feb 2005 10:44:58 +0000

sdl-image1.2 (1.2.3-6) unstable; urgency=low

  * Fixed download URL in debian/copyright
  * Added debian/watch
  * Add -ltiff before -ljpeg. Added debian/patches/bug267169.diff for this
    (Closes: #267169)

 -- Michael Koch <konqueror@gmx.de>  Tue, 16 Nov 2004 18:24:14 +0000

sdl-image1.2 (1.2.3-5) unstable; urgency=low

  * libsdl-image1.2-dev: Updated Depends to use libtiff4-dev (Closes: #262160)
    Thanks to Jochen Friedrich.

 -- Michael Koch <konqueror@gmx.de>  Fri, 30 Jul 2004 20:27:09 +0200

sdl-image1.2 (1.2.3-4) unstable; urgency=low

  * Build-Depend on libtiff4-dev.
  * debian/copyright: Updated download URL, author mail address
    and copyrigth notice.
  * libsdl-image1.2-dev: Updated section to libdevel.

 -- Michael Koch <konqueror@gmx.de>  Sun, 25 Jul 2004 20:44:14 +0200

sdl-image1.2 (1.2.3-3) unstable; urgency=low

  * Added patch from Ivo Danihelka <ivo.danihelka@rdc.cz>
    (Closes: 256660).
  * Updated Standards-Version to 3.6.1.
  * Build depend on debhelper (>= 4.0.0).
  * Use debian/compat instead of DH_COMPAT.
  * Raised debhelper compat level to 4.
  * Use dh_install instead of dh_movefiles.

 -- Michael Koch <konqueror@gmx.de>  Thu,  8 Jul 2004 11:39:58 +0200

sdl-image1.2 (1.2.3-2) unstable; urgency=low

  * Build-Depends on libpng12-dev not libpng3-dev.
  * libsdl-image1.2-dev: Depends on libpng12-dev instead of libpng3-dev.


=== debian/control ===
Source: sdl-image1.2
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Barry deFreese <bdefreese@debian.org>,
           Aurelien Jarno <aurel32@debian.org>,
           Felix Geyer <debfx-pkg@fobos.de>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 8.9.0~),
               libsdl1.2-dev (>= 1.2.10),
               libjpeg-dev,
               libpng-dev,
               libtiff4-dev,
               zlib1g-dev
Standards-Version: 3.9.2
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-sdl/packages/sdl-image1.2.git
Vcs-Git: git://anonscm.debian.org/pkg-sdl/packages/sdl-image1.2.git
DM-Upload-Allowed: yes
Homepage: http://www.libsdl.org/projects/SDL_image/

Package: libsdl-image1.2
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: image loading library for Simple DirectMedia Layer 1.2
 This is a simple library to load images of various formats as SDL surfaces.
 This library currently supports BMP, PPM, PCX, GIF, JPEG, PNG, TIFF, and XPM
 formats.

Package: libsdl-image1.2-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libsdl-image1.2 (= ${binary:Version}),
         libc6-dev,
         libsdl1.2-dev (>= 1.2.10),
         libjpeg-dev,
         libpng-dev,
         libtiff4-dev,
         zlib1g-dev
Description: development files for SDL 1.2 image loading libray
 This is a simple library to load images of various formats as SDL surfaces.
 This library currently supports BMP, PPM, PCX, GIF, JPEG, PNG, TIFF, and XPM
 formats.
 .
 This package contains the include files and static libraries required to
 support development using the SDL 1.2 image loading library.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- --disable-jpg-shared --disable-tif-shared --disable-png-shared

override_dh_install:
	dh_install --fail-missing -XlibSDL_image.la

override_dh_install_changelogs:
	dh_installchangelogs CHANGES

override_dh_makeshlibs:
	dh_makeshlibs -V 'libsdl-image1.2 (>= 1.2.10)'

override_dh_compress:
	dh_compress -Xshowimage.c

## sdl-image1.2 1.2.11

=== debian/changelog ===
sdl-image1.2 (1.2.11-2) unstable; urgency=high

  * Backported patch to fix bug "libsdl-image1.2: Some corrupted images
    (supertux and vor)" (Closes: #656927).  Upstream "Bug 1377 - SDL_image
    1.2.11 corrupts png of PseudoClass type 8bit", changeset 312 7036dd36a22f.

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sun, 22 Jan 2012 23:54:41 +0000

sdl-image1.2 (1.2.11-1) unstable; urgency=low

  * New upstream release
    - debian/copyright: License switched to zlib/libpng
  * debian/control:
    - Updated the long description
    - Updated the list of maintainers, and added myself to uploaders
    - Updated the dependencies
  * Disabled patches:
    - libpng15.diff: Picked from upsteam, now released

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Fri, 20 Jan 2012 23:50:05 +0000

=== debian/control ===
Source: sdl-image1.2
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Felix Geyer <debfx-pkg@fobos.de>, Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
DM-Upload-Allowed: yes
Section: libs
Priority: optional
Build-Depends: debhelper (>= 8.9.0~),
               dh-autoreconf,
               dpkg-dev (>= 1.16.1~),
               libsdl1.2-dev (>= 1.2.14),
               libjpeg-dev,
               libpng-dev,
               libtiff4-dev,
               libwebp-dev (>= 0.1.3),
               zlib1g-dev
Standards-Version: 3.9.2
Homepage: http://www.libsdl.org/projects/SDL_image/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-sdl/packages/sdl-image1.2.git
Vcs-Git: git://anonscm.debian.org/pkg-sdl/packages/sdl-image1.2.git

Package: libsdl-image1.2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Image loading library for Simple DirectMedia Layer 1.2, libraries
 This is a simple library to load images of various formats as SDL surfaces.  It
 supports the following formats: BMP, GIF, JPEG, LBM, PCX, PNG, PNM, TGA, TIFF,
 WEBP, XCF, XPM, XV.
 .
 This package contains the shared library.

Package: libsdl-image1.2-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libsdl-image1.2 (= ${binary:Version}),
         libc6-dev,
         libsdl1.2-dev (>= 1.2.14),
         libjpeg-dev,
         libpng-dev,
         libtiff4-dev,
         libwebp-dev (>= 0.1.3),
         zlib1g-dev
Description: Image loading library for Simple DirectMedia Layer 1.2, development files
 This is a simple library to load images of various formats as SDL surfaces.  It
 supports the following formats: BMP, GIF, JPEG, LBM, PCX, PNG, PNM, TGA, TIFF,
 WEBP, XCF, XPM, XV.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# mafm: introduced but commented out for new upstream 1.2.11-1, to uncomment
# later when 1.2.11 is known to work fine
#
#export DEB_CFLAGS_MAINT_APPEND = -pipe -Wall
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined -Wl,-Bsymbolic -Wl,--as-needed


# according to help: speeds up one-time build
confflags = --disable-dependency-tracking

# features -- disable building as plugins, otherwise dh_shlibs
confflags += --disable-jpg-shared
confflags += --disable-tif-shared
confflags += --disable-png-shared
confflags += --disable-webp-shared

%:
	dh $@ --with autoreconf --parallel

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

# mafm: is this really needed?
#
#override_dh_makeshlibs:
#	dh_makeshlibs -V 'libsdl-image1.2 (>= 1.2.11)'

override_dh_compress:
	dh_compress -Xshowimage.c

override_dh_install:
	dh_install --fail-missing -XlibSDL_image.la

override_dh_auto_installchangelogs:
	dh_auto_installchangelogs -- CHANGES

## sdl-image1.2 1.2.12

=== debian/changelog ===
sdl-image1.2 (1.2.12-8) unstable; urgency=high

  * Backport various security fixes:
    - CVE-2017-12122
    - CVE-2017-14440
    - CVE-2017-14441
    - CVE-2017-14442
    - CVE-2017-14448
    - CVE-2017-14450
    - Additional fixes in pcf and xcf parsing code

 -- Felix Geyer <fgeyer@debian.org>  Mon, 05 Mar 2018 20:24:09 +0100

sdl-image1.2 (1.2.12-7) unstable; urgency=medium

  * Fix CVE-2017-2887: buffer overflow in the XCF property handling.
    (Closes: #878267)

 -- Felix Geyer <fgeyer@debian.org>  Wed, 18 Oct 2017 22:15:49 +0200

sdl-image1.2 (1.2.12-6) unstable; urgency=medium

  * Bump Policy Standards-Version to 4.0.0 (no changes needed)
  * Switch to debhelper compat level v10
    - dh flags --parallel are not needed
    - autoreconf is invoked by default
  * Use automatic dbgsym packages, drop -dbg
  * d/copyright: Fix missing "General" in LGPL license blurb
  * Update Vcs-* URLs

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 03 Aug 2017 16:47:43 +0200

sdl-image1.2 (1.2.12-5) unstable; urgency=low

  * Really regenerate autoconf files. The upstream autogen.sh doesn't
    work properly. Thanks to Pino Toscano for the patch.
    - Fixes FTBFS on hurd.
  * Drop unused ${misc:Pre-Depends} for libsdl-image1.2-dbg.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 01 Sep 2013 13:03:02 +0200

sdl-image1.2 (1.2.12-4) unstable; urgency=low

  [ Felix Geyer ]
  * Switch to my @debian.org email address.
  * Depend on libtiff-dev rather than libtiff4-dev.

  [ Manuel A. Fernandez Montecelo ]
  * New revision of the package will trigger rebuild and help libwebp transition
  (Closes: #714765)
  * Change short description for -dbg package, was copied from main lib

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 19 Jul 2013 17:48:27 +0100

sdl-image1.2 (1.2.12-3) unstable; urgency=low

  * Bump Policy Standards-Version to 3.9.4 (no changes needed)
  * Add package -dbg with debugging information
  * Remove field "DM-Upload-Allowed: yes", obsolete
  * Change maintainer address

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 09 May 2013 17:06:16 +0100

sdl-image1.2 (1.2.12-2) unstable; urgency=low

  * Adding back dependencies of libsdl-image1.2-dev to avoid FTBFS in packages
    depending on this one, while we decide what to do in the long run
    (Closes: #669571)
  * Re-tweaked debian/rules, especially dh_autoreconf so it executes
    'autogen.sh' properly (Closes: #669504)
  * Bumped Policy Standards-Version to 3.9.3 (no changes needed)
  * Set copyright-format version to 1.0

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 01 May 2012 19:25:58 +0100

sdl-image1.2 (1.2.12-1) unstable; urgency=low

  * New upstream release.
  * Drop bug_1.2.11_corrupts_png_of_PseudoClass_type_8bit.diff, was backported
    from upstream.
  * Add a symbols file.
  * Fix typo in dh_installchangelogs override name.
  * Build with -Wl,--as-needed.
  * Bump debhelper build-dependency to >= 9.
  * Drop unnecessary dependencies of libsdl-image1.2-dev.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 20 Feb 2012 13:10:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,19 @@
 Source: sdl-image1.2
 Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
-Uploaders: Felix Geyer <debfx-pkg@fobos.de>, Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
-DM-Upload-Allowed: yes
+Uploaders: Felix Geyer <fgeyer@debian.org>, Manuel A. Fernandez Montecelo <mafm@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 8.9.0~),
-               dh-autoreconf,
-               dpkg-dev (>= 1.16.1~),
-               libsdl1.2-dev (>= 1.2.14),
+Build-Depends: debhelper (>= 10~),
+               libsdl1.2-dev (>= 1.2.14~),
                libjpeg-dev,
                libpng-dev,
-               libtiff4-dev,
+               libtiff-dev,
                libwebp-dev (>= 0.1.3),
                zlib1g-dev
-Standards-Version: 3.9.2
-Homepage: http://www.libsdl.org/projects/SDL_image/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-sdl/packages/sdl-image1.2.git
-Vcs-Git: git://anonscm.debian.org/pkg-sdl/packages/sdl-image1.2.git
+Standards-Version: 4.0.0
+Homepage: https://www.libsdl.org/projects/SDL_image/
+Vcs-Browser: https://salsa.debian.org/sdl-team/sdl-image1.2
+Vcs-Git: https://salsa.debian.org/sdl-team/sdl-image1.2.git
 
 Package: libsdl-image1.2
 Architecture: any
@@ -37,11 +34,10 @@
 Section: libdevel
 Depends: ${misc:Depends},
          libsdl-image1.2 (= ${binary:Version}),
-         libc6-dev,
-         libsdl1.2-dev (>= 1.2.14),
+         libsdl1.2-dev (>= 1.2.14~),
          libjpeg-dev,
          libpng-dev,
-         libtiff4-dev,
+         libtiff-dev,
          libwebp-dev (>= 0.1.3),
          zlib1g-dev
 Description: Image loading library for Simple DirectMedia Layer 1.2, development files

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_CFLAGS_MAINT_APPEND  = -pipe -Wall
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# export variables for autoreconf
export AUTOMAKE := automake --foreign


# features -- disable building as plugins, otherwise dh_shlibs
confflags =  --disable-jpg-shared
confflags += --disable-tif-shared
confflags += --disable-png-shared
confflags += --disable-webp-shared

%:
	dh $@ --dbgsym-migration='libsdl-image1.2-dbg (<< 1.2.12-6~)'

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_compress:
	dh_compress -Xshowimage.c

override_dh_install:
	dh_install --fail-missing -XlibSDL_image.la

override_dh_installchangelogs:
	dh_installchangelogs -- CHANGES

=== debian/watch ===
version=3
https://www.libsdl.org/projects/SDL_image/release/ (?:.*/)?SDL_image-?_?([\w+\d+\.]+|\d+)\.tar\.gz

## sdl-image1.2 1.2.12.1

=== debian/changelog ===
sdl-image1.2 (1.2.12.1-1+eagle) unstable; urgency=medium

  * update

 -- Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>  Thu, 21 Jan 2021 18:16:40 +0800

sdl-image1.2 (1.2.12-10) unstable; urgency=medium

  * Non-maintainer upload with permission of maintainers.
  * CVE-2018-3977: Prevent a potential buffer overflow on a corrupt or
    maliciously-crafted XCF file. (Closes: #912618)

 -- Chris Lamb <lamby@debian.org>  Sun, 04 Nov 2018 23:58:30 +0000

sdl-image1.2 (1.2.12-9) unstable; urgency=medium

  [ Felix Geyer ]
  * Rename security patches that have been assigned CVEs.

  [ Manuel A. Fernandez Montecelo ]
  * Bump Policy Standards-Version to 4.2.1 (no changes needed)
  * Switch to debhelper compat level v11
  * d/rules:
    - Drop override of dh_auto_installchangelogs, nowadays it is
      unnecessary and in addition it was wrong (it should have been override
      of dh_installchangelogs)
    - dh_install --fail-missing is deprecated and about to be removed,
      use dh_missing instead
  * d/control: Set "Rules-Requires-Root: no"
  * d/watch: Switch to version=4
  * d/copyright: use https in Format and Source URLs

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 23 Oct 2018 18:50:15 +0200
